commit:     ec48c51ee580b05a495ac6b79994fa30dcf41bd8
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 21 08:43:09 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Jan 21 08:49:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec48c51e

dev-scheme/mit-scheme: bump to 12.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-scheme/mit-scheme/Manifest               |  1 +
 dev-scheme/mit-scheme/mit-scheme-12.1.ebuild | 73 ++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-scheme/mit-scheme/Manifest b/dev-scheme/mit-scheme/Manifest
index e5c650ce3768..4ae3264b230c 100644
--- a/dev-scheme/mit-scheme/Manifest
+++ b/dev-scheme/mit-scheme/Manifest
@@ -1 +1,2 @@
 DIST mit-scheme-11.2-svm1-64le.tar.gz 73077951 BLAKE2B 
0e6741103c7a96f665e643fe6cab1a52bebcc8549845bf592029f73bbc9518937f45ccbac39e14d29b05b26f602ce810ae3f01030b0afb88560970ad3bb1f6dd
 SHA512 
0bf2e8b1710a87da775b8fca53df808e23e45f6e6310a78b507fa87cd340c051cdf2ffe74268e9f6fc7bf3eaaa9321c2fc016e675fb41e59f648d1e69a1e8458
+DIST mit-scheme-12.1-svm1-64le.tar.gz 88542947 BLAKE2B 
07278da41c250924ff833933b7015e865a4dc8feea11a4e1b1647818cacf03fc25878cbe0aca3a8cf08adad5487c0f7aa5e5beb111ed46d09e8473ee01490eca
 SHA512 
07e49b0f3919ad4ed85696766697615dc1720b4278c61d4aa6c3a1a92966d1e6fc7c9c7ca7db395d4e4279c5464639c80503bf4f6a8e51d2e951edc85a453dc9

diff --git a/dev-scheme/mit-scheme/mit-scheme-12.1.ebuild 
b/dev-scheme/mit-scheme/mit-scheme-12.1.ebuild
new file mode 100644
index 000000000000..2043f7859d2e
--- /dev/null
+++ b/dev-scheme/mit-scheme/mit-scheme-12.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit wrapper
+
+DESCRIPTION="Scheme interpreter, compiler, debugger and runtime library"
+HOMEPAGE="https://www.gnu.org/software/mit-scheme/
+       https://savannah.gnu.org/projects/mit-scheme/";
+SRC_URI="https://ftp.gnu.org/gnu/${PN}/stable.pkg/${PV}/${P}-svm1-64le.tar.gz";
+S="${S}"/src
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"  # Additionally arm64 is officially supported.
+IUSE="blowfish gdbm gui postgres"
+
+RDEPEND="
+       blowfish? ( dev-libs/openssl:= )
+       gdbm? ( sys-libs/gdbm:= )
+       gui? ( x11-libs/libX11 )
+       postgres? ( dev-db/postgresql:* )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-11.2-no-Werror.patch )
+
+src_configure() {
+       local -a myconf=(
+               --disable-mcrypt
+               $(use_enable blowfish)
+               $(use_enable gdbm)
+               $(use_enable gui edwin)
+               $(use_enable gui imail)
+               $(use_enable gui x11)
+               $(use_enable postgres pgsql)
+               $(use_with gui x)
+       )
+       econf ${myconf[@]}
+}
+
+src_compile() {
+       # Compile the "microcode" first, bug #879901
+       emake -C microcode
+
+       # Fails with multiple make-jobs, at least it compiles relatively fast.
+       emake -j1
+}
+
+# Tests that theoretically fail (still passes):
+# microcode/test-flonum-except
+# runtime/test-arith
+# runtime/test-flonum
+# runtime/test-flonum.bin
+# runtime/test-flonum.com
+
+src_test() {
+       FAST=y emake check -j1
+}
+
+src_install() {
+       default
+
+       # Create the edwin launcher.
+       use gui && make_wrapper mit-scheme-edwin "mit-scheme --edit"
+
+       # Remove "scheme" symlink to not "discriminate" any other 
implementations.
+       rm "${ED}"/usr/bin/scheme || die
+
+       # Remove libtool files.
+       find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to